# InputMediaDocument - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InputMedia / InputMediaDocument

# InputMediaDocument

(common) `data class InputMediaDocument : InputMedia, ThumbedInputMedia, CaptionedOutput` (source)

### Constructors

(common)

#### <init>

`InputMediaDocument(file: InputFile, caption: String? = null, parseMode: ParseMode? = null, thumb: InputFile? = null)`

### Properties

(common)

#### caption

`val caption: String?`

(common)

#### file

`val file: InputFile`

(common)

#### media

`val media: String`

(common)

#### parseMode

`val parseMode: ParseMode?`

(common)

#### thumb

`val thumb: InputFile?`

(common)

#### type

`val type: String`